Bug 1488937 (CVE-2017-13740) - CVE-2017-13740 liblouis: Stack-buffer overflow in the parseChars() function
Summary: CVE-2017-13740 liblouis: Stack-buffer overflow in the parseChars() function
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-13740
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170823,repor...
Depends On: 1488944 1492516 1492517
Blocks: 1488949
TreeView+ depends on / blocked
 
Reported: 2017-09-06 13:34 UTC by Andrej Nemec
Modified: 2019-06-08 22:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-03 15:47:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3111 normal SHIPPED_LIVE Moderate: liblouis security update 2017-11-02 19:51:34 UTC

Description Andrej Nemec 2017-09-06 13:34:45 UTC
There is a stack-based buffer overflow in Liblouis 3.2.0, triggered in the function parseChars() in compileTranslationTable.c, that will lead to denial of service or possibly unspecified other impact.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1484306

Comment 2 Andrej Nemec 2017-09-06 13:40:56 UTC
Created liblouis tracking bugs for this issue:

Affects: fedora-all [bug 1488944]

Comment 5 errata-xmlrpc 2017-11-02 15:52:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:3111 https://access.redhat.com/errata/RHSA-2017:3111


Note You need to log in before you can comment on or make changes to this bug.